# TypeScript config files
[![npm](https://img.shields.io/npm/v/@sr-net/typescript-config.svg)](https://www.npmjs.com/package/@sr-net/typescript-config)

## Structure:

`src`: Contains all project files

`dist`: Build folder

`typings`: Where to put custom types (i.e. `typings/global/index.d.ts`)

### baseUrl setup

The baseUrl is `src` so anything in it can be required easily. Example:

```
src
- routes
 - get.ts
- foo
 - bar
  - biz.ts
```

biz.ts
```diff
-import { routes } from '../../../routes/get'
+import { routes } from 'routes/get'
```

## To use

Add the following option to `tsconfig.json`:

```json
{
  "extends": "./node_modules/@sr-net/typescript-config/tsconfig.json"
}
```

For tslint, add the following option to `tslint.json`:

```json
{
  "extends": "./node_modules/@sr-net/typescript-config/tslint.json"
}
```

Rules can be overwritten by adding them below the `extends`.
